% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/8_model_summary.R
\name{plot_model_summary}
\alias{plot_model_summary}
\title{Plot model summary}
\usage{
plot_model_summary(
  object,
  fit = rep(fits(object), times = length(coefs(object))),
  coef = rep(coefs(object), each = length(fits(object))),
  title = "",
  sub = "",
  xlab = "",
  ylab = "",
  nmax = NULL,
  cex.sub = 1.4
)
}
\arguments{
\item{object}{SummarizedExperiment}

\item{fit}{character vector (values : 'limma', 'lm', 'Lme', 'lmer', 'wilcoxon' )}

\item{coef}{character vector}

\item{title}{character(1)}

\item{sub}{character(1)}

\item{xlab}{character(1)}

\item{ylab}{character(1)}

\item{nmax}{integer(1)}

\item{cex.sub}{number}
}
\description{
Plot model summary
}
\examples{
# Read
    file <- system.file('extdata/atkin.metabolon.xlsx', package = 'autonomics')
    object <- read_metabolon(file)
# Block
    plot_model_summary(fit_wilcoxon(object),                    sub =           '~Time (wilcoxon)', nmax = 10)
    plot_model_summary(fit_wilcoxon(object, block = 'Subject'), sub = '~Time | Subject (wilcoxon)', nmax = 10)
    plot_model_summary(      fit_lm(object),                    sub =           '~Time (lm)',       nmax = 10)
    plot_model_summary(      fit_lm(object, block = 'Subject'), sub = '~Time | Subject (lm)',       nmax = 10)
    plot_model_summary(   fit_limma(object),                    sub =           '~Time (limma)',    nmax = 10)
    plot_model_summary(   fit_limma(object, block = 'Subject'), sub = '~Time | Subject (limma)',    nmax = 10)
# Engines
    plot_model_summary(fit_wilcoxon(object, block = 'Subject'), sub = 'Wilcoxon : ~Time | Subject', nmax = 10)
    plot_model_summary(      fit_lm(object, block = 'Subject'), sub =       'Lm : ~Time | Subject', nmax = 10)
    plot_model_summary(   fit_limma(object, block = 'Subject'), sub =    'Limma : ~Time | Subject', nmax = 10)
    plot_model_summary(     fit_lme(object, block = 'Subject'), sub =      'Lme : ~Time | Subject', nmax = 10)
}
